Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2006-02-20 11:38:39 +0300
committerJunio C Hamano <junkio@cox.net>2006-02-20 11:38:39 +0300
commitb19696c2e7c3e753777189100b2ac09c9e04080b (patch)
treec18c87dee34aaf86294e126ba148b5f12a4fc2aa /git-fetch.sh
parenta79a27636098be2b9652f59bd447ac074f741e26 (diff)
Use thin pack transfer in "git fetch".
Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-fetch.sh')
-rwxr-xr-xgit-fetch.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/git-fetch.sh b/git-fetch.sh
index b4325d9d98..23d965f327 100755
--- a/git-fetch.sh
+++ b/git-fetch.sh
@@ -320,7 +320,7 @@ fetch_main () {
( : subshell because we muck with IFS
IFS=" $LF"
(
- git-fetch-pack $exec $keep "$remote" $rref || echo failed "$remote"
+ git-fetch-pack $exec $keep --thin "$remote" $rref || echo failed "$remote"
) |
while read sha1 remote_name
do